Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 175)
+++ .hgsubstate	(revision 152)
@@ -1,1 +1,1 @@
-264a6592718aee1e455d77db3a263167ae527c6f inc/libs/clearbricks
+9e81e9c117a69e8e39b95e284e94cefcf112a541 inc/libs/clearbricks
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 178)
+++ admin/comments.php	(revision 96)
@@ -142,7 +142,7 @@
 $starting_script .= $core->callBehavior('adminCommentsHeaders');
 
-dcPage::open(__('Comments and trackbacks'),$starting_script);
-
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Comments and trackbacks').'</h2>';
+dcPage::open(__('Comments'),$starting_script);
+
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Comments').'</h2>';
 
 if (!$core->error->flag())
Index: admin/js/_blog_pref.js
===================================================================
--- admin/js/_blog_pref.js	(revision 175)
+++ admin/js/_blog_pref.js	(revision 0)
Index: admin/js/ie7/IE7.js
===================================================================
--- admin/js/ie7/IE7.js	(revision 175)
+++ admin/js/ie7/IE7.js	(revision 0)
Index: admin/js/ie7/IE8.js
===================================================================
--- admin/js/ie7/IE8.js	(revision 175)
+++ admin/js/ie7/IE8.js	(revision 0)
Index: admin/js/jsToolBar/jsToolBar.dotclear.js
===================================================================
--- admin/js/jsToolBar/jsToolBar.dotclear.js	(revision 169)
+++ admin/js/jsToolBar/jsToolBar.dotclear.js	(revision 0)
@@ -13,5 +13,5 @@
 	
 	var p_win = window.open(url,'dc_popup',
-	'alwaysRaised=yes,dependent=yes,toolbar=yes,height=420,width=520,'+
+	'alwaysRaised=yes,dependent=yes,toolbar=yes,height=420,width=380,'+
 	'menubar=no,resizable=yes,scrollbars=yes,status=no');
 };
Index: admin/js/meta-editor.js
===================================================================
--- admin/js/meta-editor.js	(revision 175)
+++ admin/js/meta-editor.js	(revision 0)
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 182)
+++ admin/post.php	(revision 96)
@@ -35,5 +35,5 @@
 $post_media = array();
 
-$page_title = '<a href="posts.php">'.__('Entries').'</a> &rsaquo; '.__('New entry');
+$page_title = __('New entry');
 
 $can_view_page = true;
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 173)
+++ admin/style/default.css	(revision 158)
@@ -168,10 +168,9 @@
 	#content:after {clear:both; content:""; display:block; height:0; font-size:0;}
 #main-menu {
+	font-size: .95em;
 	width: 13em;
 	float: left;
 	margin-top: 1em;
 	margin-bottom: 1em;
-}
-#main-menu * {
 }
 
@@ -181,8 +180,6 @@
 	text-transform: uppercase;
 	color: #666;
-	font-size: 1.1em;
 }
 #main-menu ul {
-	font-size: .95em;
 	margin: 0 0 1em 0;
 	padding: 0;
@@ -200,14 +197,15 @@
 }
 #main-menu .active a {
+	border-bottom-style: solid;
 	border-bottom: none;
-	color: #333;
 }
 #main-menu li.active {
 	background-color: #fff;
+	border: 1px solid #ccc;
+	border-right: none;
+	border-left: none;
+	margin-right: -.76em;
 	padding: .4em 0 .1em 32px;
 	background-position: 12px .4em;
-	border-top: 1px solid #ddd;
-	border-bottom: 1px solid #ddd;
-	margin-right: -1px;
 }
 #main-menu #dashboard-menu li {
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 181)
+++ admin/user.php	(revision 144)
@@ -195,13 +195,9 @@
 '<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p>'.
 
-'<p><label for="new_pwd" '.($user_id != '' ? '' : 'class="required"').'>'.
-($user_id != '' ? '' : '<abbr title="'.__('Required field').'">*</abbr> ').
-($user_id != '' ? __('New password:') : __('Password:')).' '.
+'<p><label for="new_pwd">'.($user_id!='' ? __('New password:') : __('Password:')).' '.
 form::password('new_pwd',20,255,'','',3).
 '</label></p>'.
-'<p class="form-note">'.__('Password must contain at least 6 characters.').'</p>'.
-
-'<p><label for="new_pwd_c" '.($user_id != '' ? '' : 'class="required"').'>'.
-($user_id != '' ? '' : '<abbr title="'.__('Required field').'">*</abbr> ').__('Confirm password:').' '.
+
+'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
 form::password('new_pwd_c',20,255,'','',4).
 '</label></p>'.
@@ -267,6 +263,5 @@
 echo
 '<fieldset>'.
-'<p><label for="your_pwd" '.($user_id != '' ? '' : 'class="required"').'>'.
-($user_id != '' ? '' : '<abbr title="'.__('Required field').'">*</abbr> ').__('Your password:').
+'<p><label for="your_pwd">'.__('Your password:').
 form::password('your_pwd',20,255,'','',17).'</label></p>'.
 '</fieldset>'.
Index: build-tools/jsmin-1.1.1.php
===================================================================
--- build-tools/jsmin-1.1.1.php	(revision 175)
+++ build-tools/jsmin-1.1.1.php	(revision 0)
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 185)
+++ inc/admin/prepend.php	(revision 167)
@@ -21,14 +21,4 @@
 
 define('DC_CONTEXT_ADMIN',true);
-
-function dc_prepare_url($url) {
-
-	$u = str_replace(array('?','&amp;'),array('\?','&'),$url);
-	return (!strpos($u,'\?') ? 
-		'/'.$u.'$/' :
-		(!strpos($u,'&') ? 
-		'/'.$u.'(\?.*)?$/' :
-		'/'.$u.'(&.*)?$/'));
-}
 
 function dc_load_locales() {
@@ -312,5 +302,5 @@
 			$fav = unserialize($v['value']);
 			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+				preg_match('/'.str_replace('?','\?',$fav['url']).'(\?.*)?$/',$_SERVER['REQUEST_URI']),
 				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
 		}
@@ -322,5 +312,5 @@
 			$fav = unserialize($v['value']);
 			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+				preg_match('/'.str_replace('?','\?',$fav['url']).'(\?.*)?$/',$_SERVER['REQUEST_URI']),
 				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
 		}
Index: locales/de/help/blowupConfig.html
===================================================================
--- locales/de/help/blowupConfig.html	(revision 175)
+++ locales/de/help/blowupConfig.html	(revision 0)
Index: locales/de/help/core_blog_pref.html
===================================================================
--- locales/de/help/core_blog_pref.html	(revision 175)
+++ locales/de/help/core_blog_pref.html	(revision 0)
Index: locales/de/help/core_categories.html
===================================================================
--- locales/de/help/core_categories.html	(revision 175)
+++ locales/de/help/core_categories.html	(revision 0)
Index: locales/de/help/core_comments.html
===================================================================
--- locales/de/help/core_comments.html	(revision 175)
+++ locales/de/help/core_comments.html	(revision 0)
Index: locales/de/help/core_media.html
===================================================================
--- locales/de/help/core_media.html	(revision 175)
+++ locales/de/help/core_media.html	(revision 0)
Index: locales/de/help/core_post.html
===================================================================
--- locales/de/help/core_post.html	(revision 175)
+++ locales/de/help/core_post.html	(revision 0)
Index: locales/de/help/core_posts.html
===================================================================
--- locales/de/help/core_posts.html	(revision 175)
+++ locales/de/help/core_posts.html	(revision 0)
Index: locales/en/help/blog_pref.html
===================================================================
--- locales/en/help/blog_pref.html	(revision 175)
+++ locales/en/help/blog_pref.html	(revision 60)
Index: locales/en/help/categories.html
===================================================================
--- locales/en/help/categories.html	(revision 175)
+++ locales/en/help/categories.html	(revision 58)
Index: locales/en/help/media.html
===================================================================
--- locales/en/help/media.html	(revision 175)
+++ locales/en/help/media.html	(revision 102)
Index: locales/en/help/post.html
===================================================================
--- locales/en/help/post.html	(revision 175)
+++ locales/en/help/post.html	(revision 154)
Index: locales/en/help/user.html
===================================================================
--- locales/en/help/user.html	(revision 175)
+++ locales/en/help/user.html	(revision 146)
Index: locales/en/help/user_pref.html
===================================================================
--- locales/en/help/user_pref.html	(revision 175)
+++ locales/en/help/user_pref.html	(revision 115)
Index: locales/en/resources.php
===================================================================
--- locales/en/resources.php	(revision 179)
+++ locales/en/resources.php	(revision 144)
@@ -18,6 +18,5 @@
 	'Dotclear 2 presentation' => 'http://dotclear.org/documentation/2.0/overview/tour',
 	"User manual" => 'http://dotclear.org/documentation/2.0/usage',
-	"Installation and administration guides" => 'http://dotclear.org/documentation/2.0/admin',
-	"Dotclear 2 support forum" => 'http://forum.dotclear.net/'
+	"Installation and administration guides" => 'http://dotclear.org/documentation/2.0/admin'
 );
 
Index: locales/fr/help/core_blog_pref.html
===================================================================
--- locales/fr/help/core_blog_pref.html	(revision 175)
+++ locales/fr/help/core_blog_pref.html	(revision 104)
Index: locales/fr/help/core_categories.html
===================================================================
--- locales/fr/help/core_categories.html	(revision 175)
+++ locales/fr/help/core_categories.html	(revision 58)
Index: locales/fr/help/core_media.html
===================================================================
--- locales/fr/help/core_media.html	(revision 175)
+++ locales/fr/help/core_media.html	(revision 102)
Index: locales/fr/help/core_post.html
===================================================================
--- locales/fr/help/core_post.html	(revision 175)
+++ locales/fr/help/core_post.html	(revision 154)
Index: locales/fr/help/core_user.html
===================================================================
--- locales/fr/help/core_user.html	(revision 175)
+++ locales/fr/help/core_user.html	(revision 146)
Index: locales/fr/help/core_user_pref.html
===================================================================
--- locales/fr/help/core_user_pref.html	(revision 175)
+++ locales/fr/help/core_user_pref.html	(revision 115)
Index: locales/fr/resources.php
===================================================================
--- locales/fr/resources.php	(revision 179)
+++ locales/fr/resources.php	(revision 0)
@@ -18,6 +18,5 @@
 	'Présentation de Dotclear 2' => 'http://doc.dotclear.net/2.0/overview/tour',
 	"Manuel de l'utilisateur" => 'http://doc.dotclear.net/2.0/usage',
-	"Guide d'installation et d'administration" => 'http://doc.dotclear.net/2.0/admin',
-	"Forum de support de Dotclear 2" => 'http://forum.dotclear.net/'
+	"Guide d'installation et d'administration" => 'http://doc.dotclear.net/2.0/admin'
 );
 ?>
Index: plugins/blowupConfig/_install.php
===================================================================
--- plugins/blowupConfig/_install.php	(revision 175)
+++ plugins/blowupConfig/_install.php	(revision 0)
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 0)
+++ plugins/maintenance/index.php	(revision 186)
@@ -180,4 +180,5 @@
 	'</form>';
 }
+dcPage::helpBlock('maintenance');
 ?>
 
Index: plugins/maintenance/locales/en/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/en/help/maintenance.html	(revision 186)
+++ plugins/maintenance/locales/en/help/maintenance.html	(revision 186)
@@ -0,0 +1,41 @@
+<html>
+<head>
+  <title>Maintenance</title>
+</head>
+
+<body>
+
+<h3>Maintenance</h3>
+
+<dl>
+  <dt>Optimize database room</dt>
+  <dd>After numerous delete or update operations on Dotclear's database tables, these get fragmented.
+  Optimizing will perform an OPTIMIZE TABLE request on all tables.<br />
+  It has no incidence on your data's integrity.<br />
+  It is recommended to optimize before any blog export.</dd>
+  
+  <dt>Counters</dt>
+  <dd>Initializing comments and trackbacks counters allows to check their exact numbers. 
+  This operation can be useful when importing from another blog platform
+  (or when migrating from dotclear 1 to dotclear 2).</dd>
+  
+  <dt>Search engine index</dt>
+  <dd>These operations are necessary, after importing content in your blog, to use internal search engine, on public and private pages.
+    <ul>
+      <li><strong>Index all posts:</strong> allows to index all posts</li>
+      <li><strong>Index all comments:</strong> allows to index all comments and trackbacks</li>
+    </ul>
+  </dd>
+  
+  <dt>Vacuum logs</dt>
+  <dd>Logs record all activity and connection to your blog history. Unless you need to keep this history, 
+  consider deleting these logs from time to time.</dd>
+  
+  <dt>Empty templates cache directory</dt>
+  <dd>It may be useful to empty this cache when modifying a theme's .html or .css files (or when updating 
+  a theme or plugin).<br />
+  Notice : with some hosters, the templates cache cannot be emptied with this extension. 
+  You may then have to delete the directory <strong>/cbtpl/</strong> directly on the server with your FTP software.</dd>
+</dl>
+</body>
+</html>
Index: plugins/maintenance/locales/en/resources.php
===================================================================
--- plugins/maintenance/locales/en/resources.php	(revision 186)
+++ plugins/maintenance/locales/en/resources.php	(revision 186)
@@ -0,0 +1,18 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['maintenance']))
+{
+	$__resources['help']['maintenance'] = dirname(__FILE__).'/help/maintenance.html';
+}
+
+?>
Index: plugins/maintenance/locales/fr/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/fr/help/maintenance.html	(revision 186)
+++ plugins/maintenance/locales/fr/help/maintenance.html	(revision 186)
@@ -0,0 +1,41 @@
+<html>
+<head>
+  <title>Maintenance</title>
+</head>
+
+<body>
+
+<h3>Maintenance</h3>
+
+<dl>
+  <dt>Optimiser l'espace de la base de données</dt>
+  <dd>En multipliant les suppressions ou modifications des contenus des tables de
+  Dotclear, ces dernières se fragmentent. L'opération d'optimisation va donc exécuter
+  une requête OPTIMIZE TABLE sur l'ensemble des tables utilisées par DotClear afin
+  de compacter celles-ci.<br />
+  Cette opération n'a aucun impact sur l'intégrité de vos données.<br />
+  Il est fortement conseillé d'optimiser la base de données avant tout export de blog</dd>
+  
+  <dt>Compteurs</dt>
+  <dd>Réinitialiser les compteurs des commentaires et des rétroliens a pour effet
+  de donner le nombre exact de ceux-ci pour chaque billet. Cette opération peut se
+  révéler utile lors de l'import d'un blog d'une autre plateforme (ou d'une migration
+  de dotclear 1 vers dotclear 2).</dd>
+  
+  <dt>Index du moteur de recherche</dt>
+  <dd>Ces opérations s'effectuent généralement suite à un import afin d'obtenir des résultats lors des recherches, aussi bien depuis l'administration du blog qu'en partie publique.
+    <ul>
+      <li><strong>Indexer tous les billets&nbsp;:</strong> permet d'indexer les billets</li>
+      <li><strong>Indexer tous les commentaires&nbsp;:</strong> permet d'indexer les commentaires</li>
+    </ul>
+  </dd>
+  
+  <dt>Vider les journaux</dt>
+  <dd>Sauf si vous avez un besoin précis de conservation des activités de connexion sur votre blog, pensez à vider régulièrement la table des journaux : elle contient l'enregistrement de chaque connexion à l'administration et des opérations qui s'y sont déroulées.</dd>
+  
+  <dt>Vider le répertoire du cache des templates</dt>
+  <dd>La suppression du répertoire du cache des templates peut se révéler nécessaire lors de modifications dans les fichiers .html ou .css d'un thème (voire lors d'un changement de thème ou de mise à jour de plugin).<br />
+  Attention : chez certains hébergeurs (Free par exemple), le cache du répertoire des templates ne peut pas être vidé grâce à l'extension Maintenance, il faut supprimer le répertoire <strong>cbtpl</strong> situé dans le répertoire cache (dotclear/cache par défaut) avec un logiciel FTP.</dd>
+</dl>
+</body>
+</html>
Index: plugins/maintenance/locales/fr/resources.php
===================================================================
--- plugins/maintenance/locales/fr/resources.php	(revision 186)
+++ plugins/maintenance/locales/fr/resources.php	(revision 186)
@@ -0,0 +1,18 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['maintenance']))
+{
+	$__resources['help']['maintenance'] = dirname(__FILE__).'/help/maintenance.html';
+}
+
+?>
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 184)
+++ plugins/pages/page.php	(revision 91)
@@ -26,5 +26,4 @@
 $post_content = '';
 $post_content_xhtml = '';
-$post_notes = '';
 $post_status = $core->auth->getInfo('user_post_status');
 $post_position = 0;
@@ -103,5 +102,4 @@
 		$post_content = $post->post_content;
 		$post_content_xhtml = $post->post_content_xhtml;
-		$post_notes = $post->post_notes;
 		$post_status = $post->post_status;
 		$post_position = (integer) $post->post_position;
@@ -164,6 +162,4 @@
 	$post_position = (integer) $_POST['post_position'];
 	
-	$post_notes = $_POST['post_notes'];
-
 	if (isset($_POST['post_url'])) {
 		$post_url = $_POST['post_url'];
@@ -195,5 +191,4 @@
 	$cur->post_content = $post_content;
 	$cur->post_content_xhtml = $post_content_xhtml;
-	$cur->post_notes = $post_notes;
 	$cur->post_status = $post_status;
 	$cur->post_position = $post_position;
@@ -459,9 +454,4 @@
 	'</p>';
 	
-	echo
-	'<p class="area" id="notes-area"><label for="post_notes">'.__('Notes:').'</label>'.
-	form::textarea('post_notes',50,5,html::escapeHTML($post_notes),'',2).
-	'</p>';
-
 	# --BEHAVIOR-- adminPageForm
 	$core->callBehavior('adminPageForm',isset($post) ? $post : null);
Index: plugins/widgets/_install.php
===================================================================
--- plugins/widgets/_install.php	(revision 175)
+++ plugins/widgets/_install.php	(revision 0)
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 183)
+++ plugins/widgets/index.php	(revision 117)
@@ -145,11 +145,5 @@
   <script type="text/javascript" src="js/tool-man/coordinates.js"></script>
   <script type="text/javascript" src="js/tool-man/drag.js"></script>
-  <?php 
-	$core->auth->user_prefs->addWorkspace('accessibility'); 
-	$user_dm_nodragdrop = $core->auth->user_prefs->accessibility->nodragdrop;
-  ?>
-  <?php if (!$user_dm_nodragdrop) : ?>
   <script type="text/javascript" src="index.php?pf=widgets/dragdrop.js"></script>
-  <?php endif; ?>
   <script type="text/javascript" src="index.php?pf=widgets/widgets.js"></script>
   <script type="text/javascript">
